/**
 * Copyright (c) Members of the EGEE Collaboration. 2004-2010. 
 * See http://www.eu-egee.org/partners/ for details on the copyright
 * holders.  
 * 
 * Licensed under the Apache License, Version 2.0 (the "License"); 
 * you may not use this file except in compliance with the License. 
 * You may obtain a copy of the License at 
 * 
 *     http://www.apache.org/licenses/LICENSE-2.0 
 * 
 * Unless required by applicable law or agreed to in writing, software 
 * distributed under the License is distributed on an "AS IS" BASIS, 
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. 
 * See the License for the specific language governing permissions and 
 * limitations under the License.
 *
 *
 *  Authors:
 *  2007-
 *     Oscar Koeroo <okoeroo@nikhef.nl>
 *     Mischa Sall\'e <msalle@nikhef.nl>
 *     David Groep <davidg@nikhef.nl>
 *     NIKHEF Amsterdam, the Netherlands
 *     <grid-mw-security@nikhef.nl>
 *
 */

#include <stdlib.h>
#include <stdio.h>
#include <unistd.h>
#include <string.h>


#ifndef PDP_XACML_LCAS_LCMAPS_H
 #define PDP_XACML_LCAS_LCMAPS_H


#include "xacml_attr_obl_profile.h"
#include "pdp_xacml_authz_process.h"


#ifdef USING_LCAS_LCMAPS

#define ID_LEN           1024

#define LCAS_DEBUG_LEVEL    "5"
#define LCAS_DB_FILE        "lcas.db"
#define LCAS_LOG_FILE       "/tmp/lcas_lcmaps.log"

#define LCMAPS_DEBUG_LEVEL  "5"
#define LCMAPS_DB_FILE      "lcmaps.db"
#define LCMAPS_LOG_FILE     "/tmp/lcas_lcmaps.log"  


#include <lcas/lcas.h>
#include <lcas/lcas_pem.h>
#include <lcas/lcas_types.h>

#include <lcmaps/lcmaps.h>
#include <lcmaps/lcmaps_types.h>
#include <lcmaps/lcmaps_account.h>

/* prototypes */
int lcas_lcmaps_setup(const char *cmd);
int execLCAS (const char *cmd, const char **argv);
int execLCMAPS (const char *cmd, const char **argv, lcmaps_account_info_t * paccount_info);
#endif /* USING_LCAS_LCMAPS  */


#endif /* PDP_XACML_LCAS_LCMAPS_H */
