/**
 * Copyright (c) Members of the EGEE Collaboration. 2004-2010. 
 * See http://www.eu-egee.org/partners/ for details on the copyright
 * holders.  
 * 
 * Licensed under the Apache License, Version 2.0 (the "License"); 
 * you may not use this file except in compliance with the License. 
 * You may obtain a copy of the License at 
 * 
 *     http://www.apache.org/licenses/LICENSE-2.0 
 * 
 * Unless required by applicable law or agreed to in writing, software 
 * distributed under the License is distributed on an "AS IS" BASIS, 
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. 
 * See the License for the specific language governing permissions and 
 * limitations under the License.
 *
 *
 *  Authors:
 *  2007-
 *     Oscar Koeroo <okoeroo@nikhef.nl>
 *     Mischa Sall\'e <msalle@nikhef.nl>
 *     David Groep <davidg@nikhef.nl>
 *     NIKHEF Amsterdam, the Netherlands
 *     <grid-mw-security@nikhef.nl>
 *
 */



#include <strings.h>


#ifndef PARAMETERS_H
#define PARAMETERS_H


#define MINPARAMETERDASH 1
#define MAXPARAMETERDASH 2


/************************************************************
Function:       getParamValue
Information:    Find the value that comes after the param 
                string in the list of arguments. The amount 
                of dashes that can prefix the param are set 
                in MINPARAMETERDASH and MAXPARAMETERDASH.
Arguments:
    char **  parvalue  :  Output pointer
                          NULL : not found
                         !NULL : pointer to value string
    char *   param     :  String of the parameter (without prefixes) to be searched on
    int      argc      :  Argument count
    char *   argv[]    :  list of arguments

Return:
    1 : Found
    0 : Not found
************************************************************/
int getParamValue (char ** parvalue, char * param, int argc, char * argv[]);

/************************************************************
Function:       getParamValue
Information:    Find the parameter string in the list of 
                arguments. The amount of dashes that can
                prefix the param are set in MINPARAMETERDASH 
                and MAXPARAMETERDASH.
Arguments:
    char *   param     :  String of the parameter (without prefixes) to be searched on
    int      argc      :  Argument count
    char *   argv[]    :  list of arguments

Return:
    1 : Found
    0 : Not found
************************************************************/
int isParamEnabled (char * param, int argc, char * argv[]);

#endif
